      SUBROUTINE ice_gas_column( ntra, zc_i, zdeltaz, ln_write, 
     &                           zmt_i )

      ! gas conservation 
      INCLUDE 'type.com'
      INCLUDE 'para.com'

      INTEGER :: 
     &  jk            ! : index for ice layers
     &  jn            ! : index for tracers

      REAL(8), DIMENSION(ntra_bio_max)          :: 
     &   zmt_i                                     ! Total gas content (./m2)
      REAL(8), DIMENSION(ntra_bio_max,nlay_bio) ::
     &   zc_i                                      ! Input total concentrations (./m3)
      REAL(8), DIMENSION(nlay_bio)              ::
     &   zdeltaz                                   ! Input layer thicknesses
      LOGICAL                                   ::
     &   ln_write                                  ! Write or not

!=============================================================================!

      IF ( ln_write ) THEN

         WRITE(numout,*)
         WRITE(numout,*) ' *** ice_gas_column : '
         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~ '
         WRITE(numout,*)

         WRITE(numout,*) ' nlay_bio : ', nlay_bio
         WRITE(numout,*) ' ntra     : ', ntra
         !DO jn = 1, ntra
         !   WRITE(numout,*) ' zc_i  : ', zc_i(jn,1:nlay_bio)
         !END DO

      ENDIF

      zmt_i(:) = 0.0

      DO jn = 1, ntra
         DO jk = 1, nlay_bio
            zmt_i(jn) = zmt_i(jn) + zc_i(jn,jk) *
     &      zdeltaz(jk)
         END DO

         ! IF ( ln_write ) THEN
         !   WRITE(numout,*) ' jn    : ', jn
         !   WRITE(numout,*) ' zmt_i : ', zmt_i(jn)
         ! ENDIF
 
      END DO

      RETURN

!=============================================================================!
!-- End of ice_gas_column --
 
      END
